Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-9000

Cannot resolve classes from org.apache.lucene.core plugin and others

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Not A Problem
    • Affects Version/s: 7.1
    • Fix Version/s: 7.1
    • Component/s: core/queryparser
    • Labels:
      None
    • Environment:
    • Lucene Fields:
      New

      Description

      we are consuming the org.apache.lucene.core plugin in our source code. Wherein we updated the org.apache.lucene.core version from  2.9.0 to 7.1.0(supported by Photon).
      But doing that gives us the compilation error in below statements,
       
      import org.apache.lucene.queryParser.ParseException;
      import org.apache.lucene.queryParser.QueryParser;
      import org.apache.lucene.search.Searcher;
       
      Can you please let us know how to resolve these imports?
       
       
      We took a look on the content and noticed that that class is not direct there We tried with Classis class  but even was not able to resolve it, We dont have issue with previous version (2.9.0)

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              magocg Rosa Casillas
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: